## phpsploit 3.2+git20230725.c132bd9

=== requirements.txt ===
# vi: ft=conf
### mandatory dependencies
##########################

# Needed to communicate between Python and PHP remote execution
phpserialize==1.3

# A dependency of `shnake`. Used to parse command-line input
pyparsing==3.1.0

# Needed by the PROXY setting to support socks4/5 proxy types
PySocks==1.7.1
# Needed since sockshandler.py (from Pysocks) maintenance has been stopped:
#  https://github.com/Anorov/PySocks/issues/134#issuecomment-1310323763
ExtProxy==1.0.2

### optional dependencies
##########################

# Enable php code syntax coloration
pygments==2.15.1

# # Enhanced python console for use with `corectl python-console`
# bpython
#
# # Enhanced python console for use with `corectl python-console`
# IPython

=== debian/changelog ===
phpsploit (3.2+git20230725.c132bd9-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:16:04 +0200

phpsploit (3.2+git20230725.c132bd9-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Remove invalid upstream metadata

  [ Daniel Ruiz de Alegría ]
  * Add real test
  * New upstream version 3.2+git20230725.c132bd9
  * Refresh patches
  * Add missing dependency python3-pygments
  * Remove no longer needed patch
  * Add python3-extproxy to dependencies
  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 22 Aug 2023 18:09:09 +0200

phpsploit (3.2+git20220526.7dabcad-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 3.2+git20220526.7dabcad
  * Import upstream patch to fix issue when you run exploit

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 Jun 2022 10:26:21 +0200

phpsploit (3.2+git20210508-0kali1) kali-dev; urgency=medium

  * Initial release (see 6220)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Apr 2022 12:18:48 +0200

=== debian/control ===
Source: phpsploit
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               php,
               procps,
               python-is-python3,
               python3-all,
               python3-extproxy,
               python3-phpserialize,
               python3-pygments,
               python3-pyparsing,
               python3-socks
Standards-Version: 4.6.2
Homepage: https://github.com/nil0x42/phpsploit
Rules-Requires-Root: no

Package: phpsploit
Architecture: all
Depends: php,
         python3-extproxy,
         python3-phpserialize,
         python3-pygments,
         python3-pyparsing,
         python3-socks,
         ${misc:Depends},
         ${python3:Depends}
Description: Stealth post-exploitation framework
 This package contains a remote control framework, aiming to provide a stealth
 interactive shell-like connection over HTTP between client and web server. It
 is a post-exploitation tool capable to maintain access to a compromised web
 server for privilege escalation purposes.

## phpsploit 3.2+git20240329.aea961d

=== requirements.txt ===
--- 
+++ 
@@ -6,19 +6,19 @@
 phpserialize==1.3
 
 # A dependency of `shnake`. Used to parse command-line input
-pyparsing==3.1.0
+pyparsing==3.1.2
 
 # Needed by the PROXY setting to support socks4/5 proxy types
 PySocks==1.7.1
 # Needed since sockshandler.py (from Pysocks) maintenance has been stopped:
 #  https://github.com/Anorov/PySocks/issues/134#issuecomment-1310323763
-ExtProxy==1.0.2
+ExtProxy==1.0.3
 
 ### optional dependencies
 ##########################
 
 # Enable php code syntax coloration
-pygments==2.15.1
+pygments==2.17.2
 
 # # Enhanced python console for use with `corectl python-console`
 # bpython

=== debian/changelog ===
phpsploit (3.2+git20240329.aea961d-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2+git20240329.aea961d

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 13 May 2024 11:54:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: phpsploit
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                php,
@@ -16,6 +16,8 @@
                python3-socks
 Standards-Version: 4.6.2
 Homepage: https://github.com/nil0x42/phpsploit
+Vcs-Browser: https://gitlab.com/kalilinux/packages/phpsploit
+Vcs-Git: https://gitlab.com/kalilinux/packages/phpsploit.git
 Rules-Requires-Root: no
 
 Package: phpsploit

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=3.2+git%cd.%h" \
   https://github.com/nil0x42/phpsploit \
   HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%phpsploit-$1.tar.gz%" \
#   https://github.com/nil0x42/phpsploit/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
